%define	name	OpenSceneGraph
%define	version	0.9.6
%define	release	1mdk

Summary:	A C++ scene graph API on OpenGL for real time graphics
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	%{name}-%{version}-2.tar.bz2
URL:		http://www.openscenegraph.org
BuildRequires:	OpenProducer >= 0.8.4 libMesaGLU-devel zlib-devel png-devel
BuildRequires:	jpeg-devel tiff-devel ungif-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time 
visualization. Uses range from visual simulation, scientific modeling, virtual 
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, protability, and extensibility

%prep
%setup -q -n %{name}-%{version}-2

%build
%make CXX="g++ $RPM_OPT_FLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall INST_LOCATION=$RPM_BUILD_ROOT%{_prefix}
%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_libdir}/libosg*.so
%dir %{_libdir}/osgPlugins
%{_libdir}/osgPlugins/osgdb*.so
%{_includedir}/*
%{_datadir}/%{name}
%doc AUTHORS.txt ChangeLog INSTALL.txt LICENSE.txt NEWS.txt README.txt
%doc doc

%changelog
* Mon Nov 24 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6-1mdk
- 0.9.6-2
- fix buildrequires (lib64..)
- drop -fPIC, flag already in makefile now:)

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.4-2mdk
- fixed buildrequires
- fixed file permissions
- added docs

* Wed Apr 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.4-1mdk
- initial mdk release
